import request from '@/utils/request'

// 获取用户信息
export function getUserInfo(userId) {
  return request({
    url: '/web/getUserInfo',
    method: 'get',
    params: { userId }
  })
}

// 获取登录短信验证码
export function getLoginSmsCode(phoneNumber) {
  return request({
    url: '/web/getLoginSmsCode',
    method: 'get',
    params: { phoneNumber }
  })
}

// 短信验证码登录
export function smsCodeLoginAccount(phoneNumber, phoneCode) {
  return request({
    url: '/web/smsCodeLoginAccount',
    method: 'post',
    data: { phoneNumber, phoneCode }
  })
}